dots.v2.firewalls.byFirewall_id().delete()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

client.v2.firewalls.byFirewall_id(firewall_id).delete(requestConfiguration?: RequestConfiguration<object>): Promise<void>

Description

To delete a firewall send a DELETE request to /v2/firewalls/{firewall_id}.

No response body will be sent back, but the response code will indicate success. Specifically, the response code will be a 204, which means that the action was successful with no returned body data.

Parameters

firewall_id string required

Example: bb4b2611-3d72-467b-8602-280330ecd65c

A unique ID that can be used to identify and reference a firewall.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

await client.v2.firewalls
    .byFirewall_id("bb4b2611-3d72-467b-8602-280330ecd65c").delete();

More Information

See /v2/firewalls/{firewall_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.